-- Test service_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(27);

set search_path to camper, public;

select has_table('service_i18n');
select has_pk('service_i18n');
select col_is_pk('service_i18n', array['service_id', 'lang_tag']);
select table_privs_are('service_i18n', 'guest', array['SELECT']);
select table_privs_are('service_i18n', 'employee', array['SELECT']);
select table_privs_are('service_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('service_i18n', 'authenticator', array[]::text[]);

select has_column('service_i18n', 'service_id');
select col_is_fk('service_i18n', 'service_id');
select fk_ok('service_i18n', 'service_id', 'service', 'service_id');
select col_type_is('service_i18n', 'service_id', 'integer');
select col_not_null('service_i18n', 'service_id');
select col_hasnt_default('service_i18n', 'service_id');

select has_column('service_i18n', 'lang_tag');
select col_is_fk('service_i18n', 'lang_tag');
select fk_ok('service_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('service_i18n', 'lang_tag', 'text');
select col_not_null('service_i18n', 'lang_tag');
select col_hasnt_default('service_i18n', 'lang_tag');

select has_column('service_i18n', 'name');
select col_type_is('service_i18n', 'name', 'text');
select col_not_null('service_i18n', 'name');
select col_hasnt_default('service_i18n', 'name');

select has_column('service_i18n', 'description');
select col_type_is('service_i18n', 'description', 'xml');
select col_not_null('service_i18n', 'description');
select col_hasnt_default('service_i18n', 'description');


select *
from finish();

rollback;

